%define with_kde 1

Name: 		sim
Version: 	0.9.4
Release:	b1
Distribution:	Berry Linux
Vendor: 	Yuichiro Nakada
Packager:	Yuichiro Nakada
Summary:  	SIM - Multiprotocol Instant Messenger
License: 	GPL
Group: 		Applications/Internet
URL: 		http://sim-icq.sourceforge.net/
Source0: 	http://osdn.dl.sourceforge.net/sourceforge/sim-icq/%{name}-%{version}.tar.bz2
BuildRequires:	autoconf >= 2.52, automake >= 1.5
BuildRequires:  gcc, gcc-c++, zlib-devel, libjpeg-devel, expat-devel, flex, libart_lgpl-devel, libpng-devel, gettext
%if %{with_kde}
BuildRequires:  kdelibs-devel >= 3.0.0
Requires:       kdebase >= 3.0.0, kdelibs >= 3.0.0
%endif
BuildRequires:  qt-devel >= 3.0.0, openssl-devel, pcre-devel >= 3.9, arts-devel >= 1.0, libxml2-devel, libxslt-devel
Requires:       qt >= 3.0.0, openssl, arts >= 1.0, libxml2, libxslt
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

BuildArchitectures: i586

%description
SIM - Multiprotocol Instant Messenger

SIM (Simple Instant Messenger) is a plugins-based open-
source instant messenger that supports various protocols
(ICQ, Jabber, AIM, MSN, LiveJournal, Yahoo!). It uses the
QT library and works on X11 (with optional KDE support).

SIM has countless features, many of them are listed at:
http://sim-icq.sourceforge.net/

%prep
%setup -q
make -f admin/Makefile.common
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"

sed -e 's/kde_qt_verstring="QT_VERSION >= 0x03@VER@00"/kde_qt_verstring="QT_VERSION >= 0x030300"/' -i configure

%configure \
%if %{with_kde}
	--enable-kde \
%else
	--disable-kde \
%endif
	$LOCALFLAGS

%build
# Setup for parallel builds
numprocs=`egrep -c ^cpu[0-9]+ /proc/stat || :`
if [ "$numprocs" = "0" ]; then
  numprocs=1
fi

make -j $numprocs

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

mkdir -p $RPM_BUILD_ROOT/usr/share/applications/
cp sim.desktop $RPM_BUILD_ROOT/usr/share/applications/

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files -f %{name}.lang
%defattr(-, root, root)
#%doc AUTHORS COPYING ChangeLog README* TODO INSTALL
%{_bindir}/sim*
%{_libdir}/libsim*
%{_libdir}/menu/
%{_libdir}/sim/
%{_datadir}/applications/sim.desktop
%{_datadir}/apps/
%{_datadir}/icons/*/*/*/*
%{_datadir}/mimelnk/
%{_datadir}/services/

%changelog
* Mon Jun 5 2006 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
